'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _ns2RelationsCommon, _conceptTermGroup, _conceptTermGroupList, _conceptRecordTypes, _citationGroup, _citationGroupList, _additionalSourceGrou, _additionalSourceGrou2, _ns2Concepts_common, _document;

  var _pluginContext$inputC = pluginContext.inputComponents,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      HierarchyInput = _pluginContext$inputC.HierarchyInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      TermPickerInput = _pluginContext$inputC.TermPickerInput,
      CheckboxInput = _pluginContext$inputC.CheckboxInput,
      DateInput = _pluginContext$inputC.DateInput;
  var config = pluginContext.configHelpers.configKey;
  var DATA_TYPE_DATETIME = pluginContext.dataTypes.DATA_TYPE_DATETIME;


  return {
    document: (_document = {}, _defineProperty(_document, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:concepts_common'
        }
      }
    }), _defineProperty(_document, 'ns2:relations-common-list', (_ns2RelationsCommon = {}, _defineProperty(_ns2RelationsCommon, config, {
      service: {
        ns: 'http://collectionspace.org/services/relation'
      }
    }), _defineProperty(_ns2RelationsCommon, 'relation-list-item', _defineProperty({}, config, {
      view: {
        type: HierarchyInput,
        props: {
          messages: (0, _reactIntl.defineMessages)({
            parent: {
              'id': 'hierarchyInput.concept.parent',
              'defaultMessage': 'Broader context'
            },
            children: {
              'id': 'hierarchyInput.concept.children',
              'defaultMessage': 'Narrower context'
            },
            siblings: {
              'id': 'hierarchyInput.concept.siblings',
              'defaultMessage': 'Equivalent context'
            }
          })
        }
      }
    })), _ns2RelationsCommon)), _defineProperty(_document, 'ns2:collectionspace_core', {
      createdAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        view: {
          type: DateInput
        }
      }),
      createdBy: _defineProperty({}, config, {
        view: {
          type: TextInput
        }
      }),
      updatedAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedAt.name',
            'defaultMessage': 'Last updated time'
          }
        }),
        view: {
          type: DateInput
        }
      }),
      updatedBy: _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedBy.name',
            'defaultMessage': 'Last updated by'
          }
        }),
        view: {
          type: TextInput
        }
      })
    }), _defineProperty(_document, 'ns2:concepts_common', (_ns2Concepts_common = {}, _defineProperty(_ns2Concepts_common, config, {
      service: {
        ns: 'http://collectionspace.org/services/concept'
      }
    }), _defineProperty(_ns2Concepts_common, 'conceptTermGroupList', (_conceptTermGroupList = {}, _defineProperty(_conceptTermGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.conceptTermGroupList.name',
          'defaultMessage': 'Concept term group(s)'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_conceptTermGroupList, 'conceptTermGroup', (_conceptTermGroup = {}, _defineProperty(_conceptTermGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_conceptTermGroup, 'termDisplayName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termDisplayName.name',
          'defaultMessage': 'Display name'
        }
      }),
      required: true,
      view: {
        type: TextInput
      }
    })), _defineProperty(_conceptTermGroup, 'termName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termName.name',
          'defaultMessage': 'Term'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_conceptTermGroup, 'termType', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termType.name',
          'defaultMessage': 'Term type'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'conceptTermTypes'
        }
      }
    })), _defineProperty(_conceptTermGroup, 'termFlag', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termFlag.name',
          'defaultMessage': 'Term flag'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'concepttermflag'
        }
      }
    })), _defineProperty(_conceptTermGroup, 'historicalStatus', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.historicalStatus.name',
          'defaultMessage': 'Historical status'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'conceptHistoricalStatuses'
        }
      }
    })), _defineProperty(_conceptTermGroup, 'termStatus', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termStatus.name',
          'defaultMessage': 'Status'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'conceptTermStatuses'
        }
      }
    })), _defineProperty(_conceptTermGroup, 'termQualifier', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termQualifier.name',
          'defaultMessage': 'Qualifier'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_conceptTermGroup, 'termLanguage', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termLanguage.name',
          'defaultMessage': 'Language'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'languages'
        }
      }
    })), _defineProperty(_conceptTermGroup, 'termPrefForLang', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termPrefForLang.name',
          'defaultMessage': 'Pref for lang'
        }
      }),
      view: {
        type: CheckboxInput
      }
    })), _defineProperty(_conceptTermGroup, 'termSource', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termSource.name',
          'defaultMessage': 'Source'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'citation/local,citation/shared,citation/worldcat'
        }
      }
    })), _defineProperty(_conceptTermGroup, 'termSourceDetail', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termSourceDetail.name',
          'defaultMessage': 'Source detail'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_conceptTermGroup, 'termSourceID', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termSourceID.name',
          'defaultMessage': 'Source ID'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_conceptTermGroup, 'termSourceNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.termSourceNote.name',
          'defaultMessage': 'Source note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _conceptTermGroup)), _conceptTermGroupList)), _defineProperty(_ns2Concepts_common, 'conceptRecordTypes', (_conceptRecordTypes = {}, _defineProperty(_conceptRecordTypes, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.conceptRecordTypes.name',
          'defaultMessage': 'Concept record type'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_conceptRecordTypes, 'conceptRecordType', _defineProperty({}, config, {
      repeating: true,
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.conceptType.name',
          'defaultMessage': 'Concept record type'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'concepttype'
        }
      }
    })), _conceptRecordTypes)), _defineProperty(_ns2Concepts_common, 'scopeNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.scopeNote.name',
          'defaultMessage': 'Scope note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Concepts_common, 'scopeNoteSource', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.scopeNoteSource.name',
          'defaultMessage': 'Scope note source'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Concepts_common, 'scopeNoteSourceDetail', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.scopeNoteSourceDetail.name',
          'defaultMessage': 'Scope note source detail'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Concepts_common, 'citationGroupList', (_citationGroupList = {}, _defineProperty(_citationGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.citationGroupList.name',
          'defaultMessage': 'Citations'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_citationGroupList, 'citationGroup', (_citationGroup = {}, _defineProperty(_citationGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_citationGroup, 'citationSource', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.citationSource.name',
          'defaultMessage': 'Citation'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'citation/local,citation/worldcat'
        }
      }
    })), _defineProperty(_citationGroup, 'citationSourceDetail', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.citationSourceDetail.name',
          'defaultMessage': 'Citation source detail'
        }
      }),
      view: {
        type: TextInput
      }
    })), _citationGroup)), _citationGroupList)), _defineProperty(_ns2Concepts_common, 'additionalSourceGroupList', (_additionalSourceGrou2 = {}, _defineProperty(_additionalSourceGrou2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.additionalSourceGroupList.name',
          'defaultMessage': 'Additional sources'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_additionalSourceGrou2, 'additionalSourceGroup', (_additionalSourceGrou = {}, _defineProperty(_additionalSourceGrou, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_additionalSourceGrou, 'additionalSource', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.additionalSource.name',
          'defaultMessage': 'Additional source'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_additionalSourceGrou, 'additionalSourceDetail', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.additionalSourceDetail.name',
          'defaultMessage': 'Additional source detail'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_additionalSourceGrou, 'additionalSourceUniqueID', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.additionalSourceUniqueID.name',
          'defaultMessage': 'Additional source unique ID'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_additionalSourceGrou, 'additionalSourceNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.concepts_common.additionalSourceNote.name',
          'defaultMessage': 'Additional source note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _additionalSourceGrou)), _additionalSourceGrou2)), _ns2Concepts_common)), _document)
  };
};