'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _ns2RelationsCommon, _orgTermGroup, _orgTermGroupList, _organizationRecordTy2, _groups, _functions, _historyNotes, _contactNames, _ns2Organizations_co, _document;

  var _pluginContext$inputC = pluginContext.inputComponents,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      HierarchyInput = _pluginContext$inputC.HierarchyInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      TermPickerInput = _pluginContext$inputC.TermPickerInput,
      CheckboxInput = _pluginContext$inputC.CheckboxInput,
      DateInput = _pluginContext$inputC.DateInput,
      StructuredDateInput = _pluginContext$inputC.StructuredDateInput;
  var config = pluginContext.configHelpers.configKey;
  var DATA_TYPE_DATETIME = pluginContext.dataTypes.DATA_TYPE_DATETIME;


  return {
    document: (_document = {}, _defineProperty(_document, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:organizations_common'
        }
      }
    }), _defineProperty(_document, 'ns2:relations-common-list', (_ns2RelationsCommon = {}, _defineProperty(_ns2RelationsCommon, config, {
      service: {
        ns: 'http://collectionspace.org/services/relation'
      }
    }), _defineProperty(_ns2RelationsCommon, 'relation-list-item', _defineProperty({}, config, {
      view: {
        type: HierarchyInput,
        props: {
          messages: (0, _reactIntl.defineMessages)({
            parent: {
              'id': 'hierarchyInput.organization.parent',
              'defaultMessage': 'Broader context'
            },
            children: {
              'id': 'hierarchyInput.organization.children',
              'defaultMessage': 'Narrower context'
            },
            siblings: {
              'id': 'hierarchyInput.organization.siblings',
              'defaultMessage': 'Equivalent context'
            }
          })
        }
      }
    })), _ns2RelationsCommon)), _defineProperty(_document, 'ns2:collectionspace_core', {
      createdAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        view: {
          type: DateInput
        }
      }),
      createdBy: _defineProperty({}, config, {
        view: {
          type: TextInput
        }
      }),
      updatedAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedAt.name',
            'defaultMessage': 'Last updated time'
          }
        }),
        view: {
          type: DateInput
        }
      }),
      updatedBy: _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedBy.name',
            'defaultMessage': 'Last updated by'
          }
        }),
        view: {
          type: TextInput
        }
      })
    }), _defineProperty(_document, 'ns2:organizations_common', (_ns2Organizations_co = {}, _defineProperty(_ns2Organizations_co, config, {
      service: {
        ns: 'http://collectionspace.org/services/organization'
      }
    }), _defineProperty(_ns2Organizations_co, 'orgTermGroupList', (_orgTermGroupList = {}, _defineProperty(_orgTermGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.orgTermGroupList.name',
          'defaultMessage': 'organization term group(s)'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_orgTermGroupList, 'orgTermGroup', (_orgTermGroup = {}, _defineProperty(_orgTermGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_orgTermGroup, 'termDisplayName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termDisplayName.name',
          'defaultMessage': 'Display name'
        }
      }),
      required: true,
      view: {
        type: TextInput
      }
    })), _defineProperty(_orgTermGroup, 'termName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termName.name',
          'defaultMessage': 'Term'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_orgTermGroup, 'termType', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termType.name',
          'defaultMessage': 'Term type'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'orgTermTypes'
        }
      }
    })), _defineProperty(_orgTermGroup, 'termFlag', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termFlag.name',
          'defaultMessage': 'Term flag'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'orgtermflag'
        }
      }
    })), _defineProperty(_orgTermGroup, 'termStatus', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termStatus.name',
          'defaultMessage': 'Status'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'orgTermStatuses'
        }
      }
    })), _defineProperty(_orgTermGroup, 'termQualifier', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termQualifier.name',
          'defaultMessage': 'Qualifier'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_orgTermGroup, 'termLanguage', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termLanguage.name',
          'defaultMessage': 'Language'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'languages'
        }
      }
    })), _defineProperty(_orgTermGroup, 'termPrefForLang', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termPrefForLang.name',
          'defaultMessage': 'Pref for lang'
        }
      }),
      view: {
        type: CheckboxInput
      }
    })), _defineProperty(_orgTermGroup, 'termSource', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termSource.name',
          'defaultMessage': 'Source'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'citation/local,citation/worldcat'
        }
      }
    })), _defineProperty(_orgTermGroup, 'termSourceDetail', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termSourceDetail.name',
          'defaultMessage': 'Source detail'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_orgTermGroup, 'termSourceID', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termSourceID.name',
          'defaultMessage': 'Source ID'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_orgTermGroup, 'termSourceNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.termSourceNote.name',
          'defaultMessage': 'Source note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_orgTermGroup, 'mainBodyName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.mainBodyName.name',
          'defaultMessage': 'Main body name'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_orgTermGroup, 'additionsToName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.additionsToName.name',
          'defaultMessage': 'Additions to name'
        }
      }),
      view: {
        type: TextInput
      }
    })), _orgTermGroup)), _orgTermGroupList)), _defineProperty(_ns2Organizations_co, 'organizationRecordTypes', (_organizationRecordTy2 = {}, _defineProperty(_organizationRecordTy2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.organizationRecordTypes.name',
          'defaultMessage': 'Organization record type'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_organizationRecordTy2, 'organizationRecordType', _defineProperty({}, config, {
      repeating: true,
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.organizationRecordType.name',
          'defaultMessage': 'Organization record type'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'organizationtype'
        }
      }
    })), _organizationRecordTy2)), _defineProperty(_ns2Organizations_co, 'foundingDateGroup', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.foundingDateGroup.name',
          'defaultMessage': 'Foundation date'
        }
      }),
      view: {
        type: StructuredDateInput
      }
    })), _defineProperty(_ns2Organizations_co, 'dissolutionDateGroup', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.dissolutionDateGroup.name',
          'defaultMessage': 'Dissolution date'
        }
      }),
      view: {
        type: StructuredDateInput
      }
    })), _defineProperty(_ns2Organizations_co, 'foundingPlace', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.foundingPlace.name',
          'defaultMessage': 'Foundation place'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Organizations_co, 'groups', (_groups = {}, _defineProperty(_groups, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.groups.name',
          'defaultMessage': 'Group'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_groups, 'group', _defineProperty({}, config, {
      repeating: true,
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.group.name',
          'defaultMessage': 'Group'
        }
      }),
      view: {
        type: TextInput
      }
    })), _groups)), _defineProperty(_ns2Organizations_co, 'functions', (_functions = {}, _defineProperty(_functions, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.functions.name',
          'defaultMessage': 'Function'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_functions, 'function', _defineProperty({}, config, {
      repeating: true,
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.function.name',
          'defaultMessage': 'Function'
        }
      }),
      view: {
        type: TextInput
      }
    })), _functions)), _defineProperty(_ns2Organizations_co, 'historyNotes', (_historyNotes = {}, _defineProperty(_historyNotes, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.historyNotes.name',
          'defaultMessage': 'History'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_historyNotes, 'historyNote', _defineProperty({}, config, {
      repeating: true,
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.historyNote.name',
          'defaultMessage': 'History'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _historyNotes)), _defineProperty(_ns2Organizations_co, 'contactNames', (_contactNames = {}, _defineProperty(_contactNames, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.contactNames.name',
          'defaultMessage': 'Contact name'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_contactNames, 'contactName', _defineProperty({}, config, {
      repeating: true,
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.organizations_common.contactName.name',
          'defaultMessage': 'Contact name'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local'
        }
      }
    })), _contactNames)), _ns2Organizations_co)), _document)
  };
};