'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _cspaceRefname = require('cspace-refname');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: [{
    name: 'taxonName',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.pottag.default.taxonName',
        'defaultMessage': 'Taxon Name'
      }
    }),
    formatValue: function formatValue(value) {
      return (0, _cspaceRefname.getDisplayName)(value);
    },
    sortBy: 'pottags_common:taxonName',
    width: 200
  }, {
    name: 'printLabels',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.pottag.default.printLabels',
        'defaultMessage': 'Should print labels?'
      }
    }),
    sortBy: 'pottags_common:printLabels',
    width: 150
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.pottag.default.updatedAt',
        'defaultMessage': 'Updated'
      }
    }),
    formatValue: _formatHelpers.formatTimestamp,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};