'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _ns2Pottags_common, _document;

  var _pluginContext$inputC = pluginContext.inputComponents,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      DateInput = _pluginContext$inputC.DateInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput;
  var config = pluginContext.configHelpers.configKey;
  var _pluginContext$dataTy = pluginContext.dataTypes,
      DATA_TYPE_DATETIME = _pluginContext$dataTy.DATA_TYPE_DATETIME,
      DATA_TYPE_INT = _pluginContext$dataTy.DATA_TYPE_INT;


  return {
    document: (_document = {}, _defineProperty(_document, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:pottags_common'
        }
      }
    }), _defineProperty(_document, 'ns2:collectionspace_core', {
      createdAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        view: {
          type: DateInput
        }
      }),
      createdBy: _defineProperty({}, config, {
        view: {
          type: TextInput
        }
      }),
      updatedAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedAt.name',
            'defaultMessage': 'Last updated time'
          }
        }),
        view: {
          type: DateInput
        }
      }),
      updatedBy: _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedBy.name',
            'defaultMessage': 'Last updated by'
          }
        }),
        view: {
          type: TextInput
        }
      })
    }), _defineProperty(_document, 'ns2:pottags_common', (_ns2Pottags_common = {}, _defineProperty(_ns2Pottags_common, config, {
      service: {
        ns: 'http://collectionspace.org/services/pottag'
      }
    }), _defineProperty(_ns2Pottags_common, 'taxonName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.pottags_common.taxonName.name',
          'defaultMessage': 'Taxon'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'taxon/local'
        }
      }
    })), _defineProperty(_ns2Pottags_common, 'family', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.pottags_common.family.name',
          'defaultMessage': 'Family'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'taxon/local'
        }
      }
    })), _defineProperty(_ns2Pottags_common, 'commonName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.pottags_common.commonName.name',
          'defaultMessage': 'Common Name'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Pottags_common, 'locale', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.pottags_common.local.name',
          'defaultMessage': 'Locale'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Pottags_common, 'labelData', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.pottags_common.labelData.name',
          'defaultMessage': 'Label data'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Pottags_common, 'numberOfLabels', _defineProperty({}, config, {
      dataType: DATA_TYPE_INT,
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.pottags_common.numberOfLabels.name',
          'defaultMessage': 'Number of labels'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Pottags_common, 'printLabels', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.pottags_common.printLabels.name',
          'defaultMessage': 'Print labels'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'printLabelOptions'
        }
      }
    })), _ns2Pottags_common)), _document)
  };
};