'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _ns2RelationsCommon, _taxonTermGroup, _taxonTermGroupList, _taxonAuthorGroup, _taxonAuthorGroupList, _taxonCitationList, _commonNameGroup, _commonNameGroupList, _ns2Taxon_common, _document;

  var _pluginContext$inputC = pluginContext.inputComponents,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      HierarchyInput = _pluginContext$inputC.HierarchyInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      TermPickerInput = _pluginContext$inputC.TermPickerInput,
      CheckboxInput = _pluginContext$inputC.CheckboxInput,
      DateInput = _pluginContext$inputC.DateInput;
  var config = pluginContext.configHelpers.configKey;
  var DATA_TYPE_DATETIME = pluginContext.dataTypes.DATA_TYPE_DATETIME;


  return {
    document: (_document = {}, _defineProperty(_document, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:taxon_common'
        }
      }
    }), _defineProperty(_document, 'ns2:relations-common-list', (_ns2RelationsCommon = {}, _defineProperty(_ns2RelationsCommon, config, {
      service: {
        ns: 'http://collectionspace.org/services/relation'
      }
    }), _defineProperty(_ns2RelationsCommon, 'relation-list-item', _defineProperty({}, config, {
      view: {
        type: HierarchyInput,
        props: {
          messages: (0, _reactIntl.defineMessages)({
            parent: {
              'id': 'hierarchyInput.taxon.parent',
              'defaultMessage': 'Broader context'
            },
            children: {
              'id': 'hierarchyInput.taxon.children',
              'defaultMessage': 'Narrower context'
            },
            siblings: {
              'id': 'hierarchyInput.taxon.siblings',
              'defaultMessage': 'Equivalent context'
            }
          })
        }
      }
    })), _ns2RelationsCommon)), _defineProperty(_document, 'ns2:collectionspace_core', {
      createdAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        view: {
          type: DateInput
        }
      }),
      createdBy: _defineProperty({}, config, {
        view: {
          type: TextInput
        }
      }),
      updatedAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedAt.name',
            'defaultMessage': 'Last updated time'
          }
        }),
        view: {
          type: DateInput
        }
      }),
      updatedBy: _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedBy.name',
            'defaultMessage': 'Last updated by'
          }
        }),
        view: {
          type: TextInput
        }
      })
    }), _defineProperty(_document, 'ns2:taxon_common', (_ns2Taxon_common = {}, _defineProperty(_ns2Taxon_common, config, {
      service: {
        ns: 'http://collectionspace.org/services/taxonomy'
      }
    }), _defineProperty(_ns2Taxon_common, 'taxonTermGroupList', (_taxonTermGroupList = {}, _defineProperty(_taxonTermGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonTermGroupList.name',
          'defaultMessage': 'Taxon term group(s)'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_taxonTermGroupList, 'taxonTermGroup', (_taxonTermGroup = {}, _defineProperty(_taxonTermGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_taxonTermGroup, 'termDisplayName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termDisplayName.name',
          'defaultMessage': 'Display name'
        }
      }),
      required: true,
      view: {
        type: TextInput
      }
    })), _defineProperty(_taxonTermGroup, 'termName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termName.name',
          'defaultMessage': 'Formatted Display Name'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_taxonTermGroup, 'termType', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termType.name',
          'defaultMessage': 'Term type'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'taxonTermTypes'
        }
      }
    })), _defineProperty(_taxonTermGroup, 'termFlag', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termFlag.name',
          'defaultMessage': 'Term flag'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'taxontermflag'
        }
      }
    })), _defineProperty(_taxonTermGroup, 'termStatus', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termStatus.name',
          'defaultMessage': 'Status'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'taxonTermStatuses'
        }
      }
    })), _defineProperty(_taxonTermGroup, 'termQualifier', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termQualifier.name',
          'defaultMessage': 'Qualifier'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_taxonTermGroup, 'termLanguage', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termLanguage.name',
          'defaultMessage': 'Language'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'languages'
        }
      }
    })), _defineProperty(_taxonTermGroup, 'termPrefForLang', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termPrefForLang.name',
          'defaultMessage': 'Pref for lang'
        }
      }),
      view: {
        type: CheckboxInput
      }
    })), _defineProperty(_taxonTermGroup, 'termSource', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termSource.name',
          'defaultMessage': 'Source'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'citation/local,citation/shared,citation/worldcat'
        }
      }
    })), _defineProperty(_taxonTermGroup, 'termSourceDetail', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termSourceDetail.name',
          'defaultMessage': 'Source detail'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_taxonTermGroup, 'termSourceID', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termSourceID.name',
          'defaultMessage': 'Source ID'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_taxonTermGroup, 'termSourceNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termSourceNote.name',
          'defaultMessage': 'Source note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_taxonTermGroup, 'termFormattedDisplayName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.termFormattedDisplayName.name',
          'defaultMessage': 'Formatted display name'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_taxonTermGroup, 'taxonomicStatus', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonomicStatus.name',
          'defaultMessage': 'Taxonomic status'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'taxonomicStatuses'
        }
      }
    })), _taxonTermGroup)), _taxonTermGroupList)), _defineProperty(_ns2Taxon_common, 'taxonRank', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonRank.name',
          'defaultMessage': 'Taxon rank'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'taxonRanks'
        }
      }
    })), _defineProperty(_ns2Taxon_common, 'taxonCurrency', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonCurrency.name',
          'defaultMessage': 'Taxon rank'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'taxonCurrencies'
        }
      }
    })), _defineProperty(_ns2Taxon_common, 'taxonAuthorGroupList', (_taxonAuthorGroupList = {}, _defineProperty(_taxonAuthorGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonAuthorGroupList.name',
          'defaultMessage': 'Taxon authors'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_taxonAuthorGroupList, 'taxonAuthorGroup', (_taxonAuthorGroup = {}, _defineProperty(_taxonAuthorGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_taxonAuthorGroup, 'taxonAuthor', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonAuthor.name',
          'defaultMessage': 'Author name'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared,organization/local,organization/shared'
        }
      }
    })), _defineProperty(_taxonAuthorGroup, 'taxonAuthorType', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonAuthorType.name',
          'defaultMessage': 'Author Type'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'taxonAuthorTypes'
        }
      }
    })), _taxonAuthorGroup)), _taxonAuthorGroupList)), _defineProperty(_ns2Taxon_common, 'taxonYear', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonYear.name',
          'defaultMessage': 'Year'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Taxon_common, 'taxonCitationList', (_taxonCitationList = {}, _defineProperty(_taxonCitationList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonCitationList.name',
          'defaultMessage': 'Citations'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_taxonCitationList, 'taxonCitation', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        fullName: {
          'id': 'field.taxon_common.taxonCitation.fullName',
          'defaultMessage': 'Citation'
        },
        name: {
          'id': 'field.taxon_common.taxonCitation.name',
          'defaultMessage': 'Concept'
        }
      }),
      repeating: true,
      view: {
        type: AutocompleteInput,
        props: {
          source: 'citation/local,citation/shared,citation/worldcat'
        }
      }
    })), _taxonCitationList)), _defineProperty(_ns2Taxon_common, 'taxonIsNamedHybrid', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonIsNamedHybrid.name',
          'defaultMessage': 'Is named hybrid'
        }
      }),
      view: {
        type: CheckboxInput
      }
    })), _defineProperty(_ns2Taxon_common, 'taxonNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.taxonNote.name',
          'defaultMessage': 'Notes'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Taxon_common, 'commonNameGroupList', (_commonNameGroupList = {}, _defineProperty(_commonNameGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.commonNameGroupList.name',
          'defaultMessage': 'Taxon authors'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_commonNameGroupList, 'commonNameGroup', (_commonNameGroup = {}, _defineProperty(_commonNameGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_commonNameGroup, 'commonName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.commonName.name',
          'defaultMessage': 'Common Name'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_commonNameGroup, 'commonNameLanguage', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.commonNameLanguage.name',
          'defaultMessage': 'Language'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'languages'
        }
      }
    })), _defineProperty(_commonNameGroup, 'commonNameSource', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.commonNameSource.name',
          'defaultMessage': 'Source'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'citation/local, citation/shared'
        }
      }
    })), _defineProperty(_commonNameGroup, 'commonNameSourceDetail', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.taxon_common.commonNameSourceDetail.name',
          'defaultMessage': 'Source Detail'
        }
      }),
      view: {
        type: TextInput
      }
    })), _commonNameGroup)), _commonNameGroupList)), _ns2Taxon_common)), _document)
  };
};